.sidemenu-mobile {
  display: none;
  position: fixed;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100vh;
  background: white;
  z-index: 1000;
  overflow-y: auto;
  transition: left 0.3s ease;
}

.sidemenu-mobile a:hover {
  color: var(--link-color);
}

.sidemenu-mobile > .title {
  display: none;
  align-items: center;
  gap: 16px;
  font-size: 16px;
  font-weight: 600;
  line-height: 24px; 
  color: var(--title-text-color);
  padding: 16px 20px;
  font-family: var(--title-font-family);
  border-bottom: 1px solid var(--border-color);
}

.sidemenu-mobile .title .close-btn {
  background: none;
  border: none;
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  color: var(--title-text-color);
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 16px;
}

.sidemenu-mobile .title .close-btn i {
  font-size: 20px;
  color: inherit;
}

.sidemenu-mobile .title .close-btn:hover {
  color: var(--link-color);
}

.sidemenu-mobile .menu-content {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 8px;
  padding: 16px 20px;
  border-bottom: 1px solid var(--border-color);
}

.sidemenu-mobile .menu-title {
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  color: var(--text-color);
  font-family: var(--title-font-family);
}

.sidemenu-mobile .menu-arrow {
  width: 24px;
  line-height: 22px;
  padding: 0 6px;
  border-radius: 4px;
  border: 1px solid var(--border-color);
  color: var(--text-color);
  cursor: pointer;
}

.sidemenu-mobile .menu-arrow::before {
  content: "\e653";
  font-family: "sicon";
  font-size: 12px;
  color: inherit;
}

.sidemenu-mobile .menu-arrow:hover {
  color: var(--link-color);
}

.sidemenu-mobile .sub-menu-list,
.sidemenu-mobile .third-menu-list {
  display: none;
}

.sidemenu-mobile .menu-item.expand > .sub-menu-list,
.sidemenu-mobile .menu-item.expand > .third-menu-list {
  display: block;
}


.sidemenu-mobile .sub-menu-item .menu-content,
.sidemenu-mobile .third-menu-list,
.sidemenu-mobile .third-menu-item .menu-content {
  margin-left: 20px;
}

.sidemenu-mobile .menu-item.active > .menu-content a {
  color: var(--link-color);
  font-weight: 600;
}
.sidemenu-mobile .menu-item.active > .menu-content > .menu-arrow {
  color: var(--link-color);
}
.sidemenu-mobile .menu-item.expand > .menu-content > .menu-arrow::before {
  content: "\e652";
}

.mobile-sidebar-trigger {
  display: none;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  padding: 6px 12px;
  border: 1px solid var(--border-color);
  background: transparent;
  color: var(--text-color);
  cursor: pointer;
}

.mobile-sidebar-trigger svg {
  margin-right: 4px;
}

.mobile-sidebar-trigger svg path {
  stroke: var(--text-color)
}
.mobile-sidebar-trigger:hover {
  color: var(--link-color);
}
.mobile-sidebar-trigger:hover svg path {
  stroke: var(--link-color);
}

@media screen and (max-width: 1023px) {
  .sidemenu-mobile {
    display: block !important;
  }
  
  .sidemenu-mobile.active {
    left: 0;
  }

  .sidemenu-mobile > .title {
    display: flex;
  }

  .mobile-sidebar-trigger {
    display: flex;
  }
}